import React from 'react';
import { View } from 'react-native';
import { storiesOf } from '@storybook/react-native';
import { InitialsAvatar } from '.';

storiesOf('InitialsAvatar', module)
   .add('default', () => {
      return (
         <View>
            <InitialsAvatar name="John" />
         </View>
      );
   })
   .add('with size', () => {
      return (
         <View>
            <View style={{ padding: 5 }}>
               <InitialsAvatar name="Notorious Chase" size="xs" />
            </View>
            <View style={{ padding: 5 }}>
               <InitialsAvatar name="Made Heaven" size="s" />
            </View>
            <View style={{ padding: 5 }}>
               <InitialsAvatar name="Star Platinum" size="m" />
            </View>
            <View style={{ padding: 5 }}>
               <InitialsAvatar name="Crazy Diamond" size="l" />
            </View>
            <View style={{ padding: 5 }}>
               <InitialsAvatar name="King crimson" size="xl" />
            </View>
         </View>
      );
   })
   .add('custom size', () => {
      return (
         <View style={{ padding: 5 }}>
            <InitialsAvatar name="veronica" sizeCircle={90} />
         </View>
      );
   });
